diff -Naur otp_src_R12B-5/lib/inets/src/http_client/http.erl otp_src_R12B-5-mod/lib/inets/src/http_client/http.erl
--- otp_src_R12B-5/lib/inets/src/http_client/http.erl	2008-09-01 06:51:47.000000000 -0600
+++ otp_src_R12B-5-mod/lib/inets/src/http_client/http.erl	2009-02-06 13:31:12.000000000 -0700
@@ -269,8 +269,14 @@
 	{true, self} ->
 	    {error, streaming_error};
 	_ ->
-	    RecordHeaders = header_record(NewHeaders, #http_request_h{}, 
-					  Host, Version),
+        RecordHeaders = case Port of
+            80 ->
+                header_record(NewHeaders, #http_request_h{},
+                        Host, Version);
+            _ ->
+                header_record(NewHeaders, #http_request_h{},
+                        Host++":"++integer_to_list(Port), Version)
+        end,
 	    Request = #request{from = self(),
 			       scheme = Scheme, address = {Host,Port},
 			       path = Path, pquery = Query, method = Method,
